
package net.mcreator.testmore.item;

import net.minecraft.world.level.block.Blocks;
import net.minecraft.world.item.crafting.Ingredient;
import net.minecraft.world.item.Tier;
import net.minecraft.world.item.SwordItem;
import net.minecraft.world.item.Items;
import net.minecraft.world.item.ItemStack;
import net.minecraft.world.item.Item;
import net.minecraft.world.entity.LivingEntity;

import net.mcreator.testmore.procedures.WitherSwordLivingEntityIsHitWithToolProcedure;
import net.mcreator.testmore.init.TestmoreModTabs;

public class WitherSwordItem extends SwordItem {
	public WitherSwordItem() {
		super(new Tier() {
			public int getUses() {
				return 560;
			}

			public float getSpeed() {
				return 22f;
			}

			public float getAttackDamageBonus() {
				return 6f;
			}

			public int getLevel() {
				return 0;
			}

			public int getEnchantmentValue() {
				return 2;
			}

			public Ingredient getRepairIngredient() {
				return Ingredient.of(new ItemStack(Items.WITHER_SKELETON_SKULL), new ItemStack(Blocks.WITHER_SKELETON_SKULL));
			}
		}, 3, -3f, new Item.Properties().tab(TestmoreModTabs.TAB_ADVANCED_MINECRAFT_MOD));
	}

	@Override
	public boolean hurtEnemy(ItemStack itemstack, LivingEntity entity, LivingEntity sourceentity) {
		boolean retval = super.hurtEnemy(itemstack, entity, sourceentity);
		WitherSwordLivingEntityIsHitWithToolProcedure.execute(entity);
		return retval;
	}
}
